I hate to say it, but 4.3 BSD RENO sucks.

Ok so I spent the day building stuff on RENO, I thought maybe I could bring it up to par package wise, like the UWisc 4.3 BSD… Oh boy what a PITA!

First the syscalls changed to RENO so hardly any of the packages built on Uwisc work on reno.. expect LOTS of unhandled syscalls. Wow, that’s lame.

I got bash 2.0 to build without much pokeing, but get this.. Control+C kills it!

myname# bash
bash-2.00# Bus error (core dumped)

Yeah. Nice.

gcc 2.5.8 can build binutils 2.8.1 & gcc 2.7.2.2 so I thought that was cool to go onwards to gzip & lynx…

Well launching lynx on ANYTHING other then file:// gives me this:

Alert!: Unsupported URL scheme!

Alert!: Unsupported URL scheme!

lynx: Start file could not be found or is not text/html or text/plain
Exiting…

Oh yeah, and it built dammed near clean except for adding a va_list definition….

I was going to try to build more stuff, but it just feels so futile. Since adventure (zork) had been removed in RENO I was going to try to build GNU Fortran 77 & get a build of that going, but now it’s most likely it won’t work at all. I guess I’ll do some kind of update on RENO but why would anyone actually want to load it? Why is it so popular?

I wonder if there is an easy accessable 4.4 BSD release, all that is on TUSH is 4.4 Alpha… At this point I wonder if Net/2 would be better…

Anyways that’s been my day.

This entry was posted in 4.3 BSD RENO, gcc, life by neozeed. Bookmark the permalink.
avatar

About neozeed

What is there to tell? I’ve loved UNIX like things since I was first exposed to QNX in highschool (we had the Unisys ICONS!), and spent the better time of my teenage years trying to get my own UNIX… I should have bought Coherent in retrospect.. Anyways latched onto Linux in 1992, and then got some old BSD admin books and have been hooked on the VAX BSD & other big/ancient things since…!

6 thoughts on “I hate to say it, but 4.3 BSD RENO sucks.

    • I think this is the full 4.4 BSD source code.

      I never did check why/how the VAX port of BSD fell behind from 4.3 BSD to 4.4, Net/2, 386 BSD, NetBSD 0.8/0.9/1.0 …

        • The four CD set? I have those as well.

          What we don’t have is any way to run the old pure 4.4

          I’m almost surprised there is no Tahoe emulator of some kind.

        • Why yes it does!. Just keep in mind that between 4.3 and 4.4 the virtual memory subsystem greatly changed, and as far as I know never was ported to the VAX. It may be easier to revert NetBSD 1.2 into 4.4 ….

          But with all that work, well… It’s easier to just boot NetBSD.

Leave a Reply

Your email address will not be published.

Notify me of followup comments via e-mail. You can also subscribe without commenting.